Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710950 - app-misc/birthday-1.6.2-r1 : ebuild uses colon (:) as a sed delimiter
Summary: app-misc/birthday-1.6.2-r1 : ebuild uses colon (:) as a sed delimiter
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: colon-in-CFLAGS
  Show dependency tree
 
Reported: 2020-02-27 17:54 UTC by Toralf Förster
Modified: 2020-11-24 23:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.29 KB, text/plain)
2020-02-27 17:54 UTC, Toralf Förster
Details
app-misc:birthday-1.6.2-r1:20200227-013616.log (app-misc:birthday-1.6.2-r1:20200227-013616.log,1.58 KB, text/plain)
2020-02-27 17:54 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,224.60 KB, text/plain)
2020-02-27 17:54 UTC, Toralf Förster
Details
environment (environment,46.70 KB, text/plain)
2020-02-27 17:54 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.46 KB, application/x-bzip)
2020-02-27 17:54 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,12.24 KB, application/x-bzip)
2020-02-27 17:54 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-27 17:54:08 UTC
>>> Unpacking source...
>>> Unpacking birthday-1.6.2.tar.bz2 to /var/tmp/portage/app-misc/birthday-1.6.2-r1/work
>>> Source unpacked in /var/tmp/portage/app-misc/birthday-1.6.2-r1/work
>>> Preparing source in /var/tmp/portage/app-misc/birthday-1.6.2-r1/work/birthday-1.6.2 ...
sed: -e expression #3, char 66: unknown option to `s'
 * ERROR: app-misc/birthday-1.6.2-r1::gentoo failed (prepare phase):

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200221-021522

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
2)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
  [2]   jamvm 
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 26 Feb 2020 23:37:19 +0000

emerge -qpvO app-misc/birthday
[ebuild  N    ] app-misc/birthday-1.6.2-r1
Comment 1 Toralf Förster gentoo-dev 2020-02-27 17:54:11 UTC
Created attachment 616216 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-27 17:54:14 UTC
Created attachment 616218 [details]
app-misc:birthday-1.6.2-r1:20200227-013616.log
Comment 3 Toralf Förster gentoo-dev 2020-02-27 17:54:16 UTC
Created attachment 616220 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-02-27 17:54:19 UTC
Created attachment 616222 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-02-27 17:54:22 UTC
Created attachment 616224 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-27 17:54:25 UTC
Created attachment 616226 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-11-24 23:11:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09cd5f6959430ae85e157d40cfba21a33a4d6ae7

commit 09cd5f6959430ae85e157d40cfba21a33a4d6ae7
Author:     Patrice Clement <monsieurp@gentoo.org>
AuthorDate: 2020-11-24 23:11:25 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2020-11-24 23:11:46 +0000

    app-misc/birthday: replace sed delimiter.
    
    replace : with @.
    
    Closes: https://bugs.gentoo.org/710950
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Patrice Clement <monsieurp@gentoo.org>

 app-misc/birthday/birthday-1.6.2-r1.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)